Ubuntu12.04LTSから14.04LTSにアップグレード(Apache編)

apache2に関して、既にZarafa編で書いていることも含めて、ちょっと仕立て直しが必要。




まず、/etc/apache2/sites-available に保管しているファイルには、拡張子 .conf を付けなければならなくなった。

$ sudo mv xxxxx xxxxx.conf
$ sudo a2ensite xxxxx.conf

ってな具合。


ufwでへんてこなメッセージが・・・

$ sudo ufw status
WARN: プロファイル 'Apache' が重複しています。最後にあるものを使います。
WARN: プロファイル 'Apache Secure' が重複しています。最後にあるものを使います。
WARN: プロファイル 'Apache Full' が重複しています。最後にあるものを使います。

だそうな。
アップデートしてから結構な期間が経っているが、気付かなかったぁ。

これは、全く同じ内容のファイルが別の名前でおかれているのが原因。
apache2-utils.ufw.profile ★新しい
apache2.2-common ★古い

古い方を削除した。

$ sudo rm /etc/ufw/applications.d/apache2.2-common

これで解消!

お気軽にどうぞ ~ 投稿に関するご意見・感想・他

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です